Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#249 3.2.1 Java Service Wrapper - Stops

v3.2.0
closed-rejected
None
5
2013-04-05
2010-10-20
sivasubramanian
No

Version : 3.2 1
Server : Windows 2003 SP1
Java : 1.6

We are getting the below error and Service is getting stopped. While trying to start again the Service Stops. We would llike to know is there any configuration changes to be done for this.

FATAL | wrapper | 2010/09/27 19:52:13 | encountered a fatal error in Wrapper
FATAL | wrapper | 2010/09/27 19:52:13 | encountered a fatal error in Wrapper
FATAL | wrapper | 2010/09/27 19:52:13 | exceptionCode = EXCEPTION_ACCESS_VIOLATION
FATAL | wrapper | 2010/09/27 19:52:13 | exceptionCode = EXCEPTION_ACCESS_VIOLATION
FATAL | wrapper | 2010/09/27 19:52:13 | exceptionFlag = EXCEPTION_NONCONTINUABLE_EXCEPTION
FATAL | wrapper | 2010/09/27 19:52:13 | exceptionFlag = EXCEPTION_NONCONTINUABLE_EXCEPTION
FATAL | wrapper | 2010/09/27 19:52:13 | exceptionAddress = 77233F44
FATAL | wrapper | 2010/09/27 19:52:13 | exceptionAddress = 77233F44
FATAL | wrapper | 2010/09/27 19:52:13 | Read access exception from 00B0482F
FATAL | wrapper | 2010/09/27 19:52:13 | Read access exception from 00B0482F
FATAL | wrapper | 2010/09/27 19:52:13 | <-- Wrapper Stopping due to error in service control handler.
FATAL | wrapper | 2010/09/27 19:52:13 | encountered a fatal error in Wrapper
FATAL | wrapper | 2010/09/27 19:52:13 | encountered a fatal error in Wrapper
FATAL | wrapper | 2010/09/27 19:52:13 | exceptionCode = EXCEPTION_ACCESS_VIOLATION
FATAL | wrapper | 2010/09/27 19:52:13 | exceptionCode = EXCEPTION_ACCESS_VIOLATION
FATAL | wrapper | 2010/09/27 19:52:13 | exceptionFlag = EXCEPTION_NONCONTINUABLE_EXCEPTION
FATAL | wrapper | 2010/09/27 19:52:13 | exceptionFlag = EXCEPTION_NONCONTINUABLE_EXCEPTION
FATAL | wrapper | 2010/09/27 19:52:13 | exceptionAddress = 77233F44
FATAL | wrapper | 2010/09/27 19:52:13 | exceptionAddress = 77233F44
FATAL | wrapper | 2010/09/27 19:52:13 | Read access exception from 00B0482F
FATAL | wrapper | 2010/09/27 19:52:13 | Read access exception from 00B0482F
FATAL | wrapper | 2010/09/27 19:52:13 | <-- Wrapper Stopping due to error in service control handler.
FATAL | wrapper | 2010/09/27 19:52:13 | <-- Wrapper Stopping due to eSTATUS | wrapper

Please let me know if you need any other configuration file/info.

Thanks,
M. Sivasubramanian.

Discussion

  • Leif Mortenson
    Leif Mortenson
    2010-10-20

    I am sorry for the trouble, but 3.2.1 is a VERY old version. It was released back on 2006-07-20. Would it be possible for you try with a newer version?

    The problem you are seeing is a crash in the Wrapper process itself. I am not sure what would be causing the doubled up log messages though. Do you have more than one service writing to the same log file?

    Cheers,
    Leif

     
    • status: open --> closed-rejected
    • assigned_to: Christian Mueller